Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Access Mode
  • Admin Group
  • Admin User
  • Attachments
  • Backup and Restore
  • Category
  • Child Content
  • Content Blueprint
  • Content Body
  • Content Descendant
  • Content Labels
  • Content Property
  • Content Resource
  • Content Restrictions
  • Content Version
  • Content Watchers
  • Global Permissions
  • GlobalColorScheme
  • Group
  • Instance Metrics
  • Label
  • Long Task
  • Server Information
  • Space
  • Space Label
  • Space Permissions
  • Space Property
  • Space Watchers
  • SpaceColorScheme
  • User
  • User Group
  • User Watch
  • Webhooks
  • Other operations
Server
Confluence Data Center / / REST API

Global Permissions

Postman Collection
OpenAPI
GET

Get global permissions

Returns list of permissions granted to users and groups. Example request URI's: https://example.com/confluence/rest/api/permissions

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns a JSON representation of all permissions granted to users/groups/anonymous user.

application/json

GlobalPermission
GET/rest/api/permissions
1 2 3 curl --request GET \ --url 'http://{baseurl}/confluence/rest/api/permissions' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 { "operation": { "targetType": "space", "operationKey": "read" }, "subject": { "displayName": "<string>", "type": "<string>" } }
GET

Gets the permissions granted to an anonymous user

Returns list of permissions granted to anonymous user. Example request URI's: https://example.com/confluence/rest/api/permissions/anonymous

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns a JSON representation of the permissions granted to the anonymous user.

application/json

GlobalPermission
GET/rest/api/permissions/anonymous
1 2 3 curl --request GET \ --url 'http://{baseurl}/confluence/rest/api/permissions/anonymous' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 { "operation": { "targetType": "space", "operationKey": "read" }, "subject": { "displayName": "<string>", "type": "<string>" } }
GET

Gets global permissions granted to a group

Returns list of permissions granted to group. Example request URI's: https://example.com/confluence/rest/api/permissions/group/{groupName}}

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

groupName

string

Required

Responses

Returns a JSON representation of the permissions granted to the group.

application/json

GlobalPermission
GET/rest/api/permissions/group/{groupName}
1 2 3 curl --request GET \ --url 'http://{baseurl}/confluence/rest/api/permissions/group/{groupName}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 { "operation": { "targetType": "space", "operationKey": "read" }, "subject": { "displayName": "<string>", "type": "<string>" } }
GET

Gets the permissions granted to an unlicensed users

Returns list of permissions granted to unlicensed users. Example request URI's: https://example.com/confluence/rest/api/permissions/unlicensed

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns a JSON representation of the permissions granted to the unlicensed users.

application/json

GlobalPermission
GET/rest/api/permissions/unlicensed
1 2 3 curl --request GET \ --url 'http://{baseurl}/confluence/rest/api/permissions/unlicensed' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 { "operation": { "targetType": "space", "operationKey": "read" }, "subject": { "displayName": "<string>", "type": "<string>" } }
GET

Gets global permissions granted to a user

Returns list of permissions granted to user. Example request URI's: https://example.com/confluence/rest/api/permissions/user/{userKey}}

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

userKey

string

Required

Responses

Returns a JSON representation of the permissions granted to the user.

application/json

GlobalPermission
GET/rest/api/permissions/user/{userKey}
1 2 3 curl --request GET \ --url 'http://{baseurl}/confluence/rest/api/permissions/user/{userKey}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 { "operation": { "targetType": "space", "operationKey": "read" }, "subject": { "displayName": "<string>", "type": "<string>" } }

Rate this page: